TechDraw "Указать горизонтальный размер"

From FreeCAD Documentation
Revision as of 07:24, 1 December 2016 by Baritone (talk | contribs) (Created page with "{{GuiCommand/ru |Name=TechDraw Dimension Horizontal |Name/ru=TechDraw Dimension Horizontal |Workbenches=TechDraw |MenuLocation=TechDraw → Dimension...")
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)

TechDraw Dimension Horizontal

Системное название
TechDraw Dimension Horizontal
Расположение в меню
TechDraw → Dimension Horizontal
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Description

The Dimension Horizontal tool adds a horizontal dimension to a View. The dimension may be between two vertices, the length of one edge or the horizontal distance between 2 edges. The distance will initially be the projected distance (ie as shown on the drawing), but this may be changed to the actual 3D distance using the Link Dimension tool.

How to use

  1. Select the points or edge which define your measurement.
  2. Press the File:Dimension Horizontal.png Dimension Horizontal button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.

Options

None.

Properties

  • ДанныеX: Horizontal position of the dimension text relative to the View.
  • ДанныеY: Vertical position of the dimension text relative to the View.
  • ДанныеFont: The name of the font to use for the dimension text.
  • ДанныеFontsize: Dimension text size in mm.
  • ДанныеFormatSpec: Allows additional text to be added to the dimension text. Dimension value will replace %value%.
  • ДанныеLineWidth: Dimension line weight.
  • ДанныеType: Length,radius,diameter, etc. Not normally manipulated by the end user.
  • ДанныеMeasureType: "True" - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user.

Scripting

Horizonatal dimensions can be added to Pages using Python.

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "DistanceX"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)

Notes

  • None at this time
Other languages: